<?xml version="1.0" encoding="UTF-8"?>
<model ref="r:bb0e4ed0-51eb-4179-aa62-896788d45e4f(DataDictionaryDsl.structure)">
  <persistence version="9" />
  <languages>
    <use id="c72da2b9-7cce-4447-8389-f407dc1158b7" name="jetbrains.mps.lang.structure" version="7" />
    <devkit ref="78434eb8-b0e5-444b-850d-e7c4ad2da9ab(jetbrains.mps.devkit.aspect.structure)" />
  </languages>
  <imports>
    <import index="tpck" ref="r:00000000-0000-4000-0000-011c89590288(jetbrains.mps.lang.core.structure)" implicit="true" />
  </imports>
  <registry>
    <language id="c72da2b9-7cce-4447-8389-f407dc1158b7" name="jetbrains.mps.lang.structure">
      <concept id="1169125787135" name="jetbrains.mps.lang.structure.structure.AbstractConceptDeclaration" flags="ig" index="PkWjJ">
        <property id="6714410169261853888" name="conceptId" index="EcuMT" />
        <property id="4628067390765956802" name="abstract" index="R5$K7" />
        <child id="1071489727083" name="linkDeclaration" index="1TKVEi" />
      </concept>
      <concept id="1169127622168" name="jetbrains.mps.lang.structure.structure.InterfaceConceptReference" flags="ig" index="PrWs8">
        <reference id="1169127628841" name="intfc" index="PrY4T" />
      </concept>
      <concept id="1071489090640" name="jetbrains.mps.lang.structure.structure.ConceptDeclaration" flags="ig" index="1TIwiD">
        <property id="1096454100552" name="rootable" index="19KtqR" />
        <reference id="1071489389519" name="extends" index="1TJDcQ" />
        <child id="1169129564478" name="implements" index="PzmwI" />
      </concept>
      <concept id="1071489288298" name="jetbrains.mps.lang.structure.structure.LinkDeclaration" flags="ig" index="1TJgyj">
        <property id="1071599776563" name="role" index="20kJfa" />
        <property id="1071599893252" name="sourceCardinality" index="20lbJX" />
        <property id="1071599937831" name="metaClass" index="20lmBu" />
        <property id="241647608299431140" name="linkId" index="IQ2ns" />
        <reference id="1071599976176" name="target" index="20lvS9" />
      </concept>
    </language>
    <language id="ceab5195-25ea-4f22-9b92-103b95ca8c0c" name="jetbrains.mps.lang.core">
      <concept id="1169194658468" name="jetbrains.mps.lang.core.structure.INamedConcept" flags="ng" index="TrEIO">
        <property id="1169194664001" name="name" index="TrG5h" />
      </concept>
    </language>
  </registry>
  <node concept="1TIwiD" id="7fHS5JDJZX6">
    <property role="EcuMT" value="8353579569210457926" />
    <property role="TrG5h" value="Structure" />
    <ref role="1TJDcQ" to="tpck:gw2VY9q" resolve="BaseConcept" />
    <node concept="1TJgyj" id="7fHS5JDKnFD" role="1TKVEi">
      <property role="IQ2ns" value="8353579569210555113" />
      <property role="20lmBu" value="aggregation" />
      <property role="20lbJX" value="1" />
      <property role="20kJfa" value="structure" />
      <ref role="20lvS9" node="7fHS5JDKkhj" resolve="AbstractStructure" />
    </node>
    <node concept="PrWs8" id="7fHS5JDJZX7" role="PzmwI">
      <ref role="PrY4T" to="tpck:h0TrEE$" resolve="INamedConcept" />
    </node>
  </node>
  <node concept="1TIwiD" id="7fHS5JDJZX9">
    <property role="EcuMT" value="8353579569210457929" />
    <property role="TrG5h" value="DataDictionary" />
    <property role="19KtqR" value="true" />
    <ref role="1TJDcQ" to="tpck:gw2VY9q" resolve="BaseConcept" />
    <node concept="1TJgyj" id="7fHS5JDJZXc" role="1TKVEi">
      <property role="IQ2ns" value="8353579569210457932" />
      <property role="20lmBu" value="aggregation" />
      <property role="20lbJX" value="0..n" />
      <property role="20kJfa" value="structures" />
      <ref role="20lvS9" node="7fHS5JDJZX6" resolve="Structure" />
    </node>
    <node concept="PrWs8" id="7fHS5JDJZXa" role="PzmwI">
      <ref role="PrY4T" to="tpck:h0TrEE$" resolve="INamedConcept" />
    </node>
  </node>
  <node concept="1TIwiD" id="7fHS5JDKkgN">
    <property role="EcuMT" value="8353579569210541107" />
    <property role="TrG5h" value="Field" />
    <ref role="1TJDcQ" node="7fHS5JDKkhm" resolve="AbstractStructureElement" />
    <node concept="PrWs8" id="7fHS5JDKkgO" role="PzmwI">
      <ref role="PrY4T" to="tpck:h0TrEE$" resolve="INamedConcept" />
    </node>
  </node>
  <node concept="1TIwiD" id="7fHS5JDKkhj">
    <property role="EcuMT" value="8353579569210541139" />
    <property role="TrG5h" value="AbstractStructure" />
    <property role="R5$K7" value="true" />
    <ref role="1TJDcQ" node="7fHS5JDKkhm" resolve="AbstractStructureElement" />
    <node concept="1TJgyj" id="7fHS5JDKkhn" role="1TKVEi">
      <property role="IQ2ns" value="8353579569210541143" />
      <property role="20lmBu" value="aggregation" />
      <property role="20lbJX" value="1..n" />
      <property role="20kJfa" value="elements" />
      <ref role="20lvS9" node="7fHS5JDKkhm" resolve="AbstractStructureElement" />
    </node>
  </node>
  <node concept="1TIwiD" id="7fHS5JDKkhk">
    <property role="EcuMT" value="8353579569210541140" />
    <property role="TrG5h" value="Agregation" />
    <ref role="1TJDcQ" node="7fHS5JDKkhj" resolve="AbstractStructure" />
  </node>
  <node concept="1TIwiD" id="7fHS5JDKkhl">
    <property role="EcuMT" value="8353579569210541141" />
    <property role="TrG5h" value="Set" />
    <ref role="1TJDcQ" node="7fHS5JDKkhj" resolve="AbstractStructure" />
  </node>
  <node concept="1TIwiD" id="7fHS5JDKkhm">
    <property role="EcuMT" value="8353579569210541142" />
    <property role="TrG5h" value="AbstractStructureElement" />
    <property role="R5$K7" value="true" />
    <ref role="1TJDcQ" to="tpck:gw2VY9q" resolve="BaseConcept" />
  </node>
  <node concept="1TIwiD" id="7fHS5JDKrZz">
    <property role="EcuMT" value="8353579569210572771" />
    <property role="TrG5h" value="ExclusiveSpecialization" />
    <ref role="1TJDcQ" node="7fHS5JDKkhj" resolve="AbstractStructure" />
  </node>
  <node concept="1TIwiD" id="7fHS5JDKrZ$">
    <property role="EcuMT" value="8353579569210572772" />
    <property role="TrG5h" value="NonExclusiveSpecialization" />
    <ref role="1TJDcQ" node="7fHS5JDKkhj" resolve="AbstractStructure" />
  </node>
</model>

